Tickets
Create ticket
Developer API operation for POST /dev/v1/tickets.
POST
/
dev
/
v1
/
tickets
Create ticket
curl --request POST \
--url https://api.shoppex.io/dev/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"title": "Need help",
"message": "Please check my order.",
"invoice_id": "inv_1"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
title: 'Need help',
message: 'Please check my order.',
invoice_id: 'inv_1'
})
};
fetch('https://api.shoppex.io/dev/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/tickets"
payload = {
"email": "[email protected]",
"title": "Need help",
"message": "Please check my order.",
"invoice_id": "inv_1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'title' => 'Need help',
'message' => 'Please check my order.',
'invoice_id' => 'inv_1'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/tickets"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"title\": \"Need help\",\n \"message\": \"Please check my order.\",\n \"invoice_id\": \"inv_1\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {}
}{
"data": {
"uniqid": "ticket_1",
"message": "Ticket created successfully."
}
}⌘I
Create ticket
